probe::kprocess.exec
Prev | Chapter 16. Kernel Process Tapset | Next

## Name

probe::kprocess.exec — Attempt to exec to a new program

## Synopsis

    kprocess.exec

## Values

`filename`

  The path to the new executable

`argstr`

  A string containing the filename followed by the arguments to pass, excluding 0th arg (SystemTap v2.5+)

`name`

  Name of the system call (“execve”) (SystemTap v2.5+)

`args`

  The arguments to pass to the new executable, including the 0th arg (SystemTap v2.5+)

## Context

The caller of exec.

## Description

Fires whenever a process attempts to exec to a new program. Aliased to the syscall.execve probe in SystemTap v2.5+.

Prev | Up | Next
probe::kprocess.create | Home | probe::kprocess.exec_complete